【活用ガイド】

JVNDB-2016-001816

PCRE の pcre_compile.c および PCRE2 の pcre2_compile.c の compile_branch 関数における任意のコードを実行される脆弱性

概要

PCRE の pcre_compile.c および PCRE2 の pcre2_compile.c の compile_branch 関数は、ネストされた括弧と併用して、(*ACCEPT) サブストリングを含むパターンを誤って処理するため、任意のコードを実行される、またはサービス運用妨害 (スタックベースのバッファオーバーフロー) 状態にされる脆弱性が存在します。

Zero Day Initiative は、本脆弱性に ZDI-CAN-3542 を採番していました。
CVSS による深刻度 (CVSS とは?)

基本値: 7.5 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


pcre.org
  • PCRE 8.39 未満の 8.x
  • PCRE2 10.22 未満

想定される影響

第三者により、巧妙に細工された正規表現を介して、任意のコードを実行される、またはサービス運用妨害 (スタックベースのバッファオーバーフロー) 状態にされる可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

Debian
  • Debian Bug report logs : 815920
  • Debian Bug report logs : 815921
pcre.org レッドハット
CWEによる脆弱性タイプ一覧  CWEとは?

  1. バッファエラー(CWE-119) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2016-3191
参考情報

  1. National Vulnerability Database (NVD) : CVE-2016-3191
更新履歴

[2016年03月23日]
  掲載